Skip to main content
GET
Retrieve contract

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

contractId
string
required

The unique identifier of the contract to retrieve.

Response

successful operation

addressTypesToCollect
enum<string>[]
required

An array indicating the types of addresses to collect. Valid values include 'BILLING_ADDRESS' and 'SHIPPING_ADDRESS'.

Available options:
BILLING_ADDRESS,
SHIPPING_ADDRESS
allowedPaymentMethods
enum<string>[]
required

An array of allowed payment methods. Valid values include 'CREDIT_OR_DEBIT_CARD', 'ACH', 'SEPA', 'BACS', 'PADS', 'AFFIRM', and 'KLARNA'.

Available options:
CREDIT_OR_DEBIT_CARD,
ACH,
SEPA,
BACS,
PADS,
AFFIRM,
KLARNA
automatedTaxesEnabled
boolean
required

Indicates whether automated taxes are enabled for the contract.

customProperties
object
required

A map of custom property names to their values.

hubspotBillingEnabled
boolean
required

Indicates whether HubSpot billing is enabled for the contract.

id
string
required

The unique identifier for the contract.

lineItems
object[]
required

An array of line items included in the contract.

paymentEnabled
boolean
required

Indicates whether payment is enabled for the contract.

status
enum<string>
required

The current status of the contract. Valid values include 'DRAFT', 'ACTIVE', 'PAUSED', 'COMPLETED', and 'TERMINATED'.

Available options:
ACTIVE,
COMPLETED,
DRAFT,
PAUSED,
TERMINATED
storePaymentMethodAtCheckout
boolean
required

Indicates whether the payment method should be stored at checkout.

allTransactionsFeeName
string

The name of the fee applied to all transactions.

allTransactionsFeePercentage
number

The percentage of the fee applied to all transactions.

annualContractValue
number

The annual value of the contract.

billingAddress
object
billingCompanyId
string

The unique identifier of the billing company associated with the contract.

billingContactId
string

The unique identifier of the billing contact associated with the contract.

billingStartDateOverride
string<date>

The date to override the billing start date, in ISO 8601 format.

businessUnitId
string

The unique identifier of the business unit associated with the contract.

cardFeeName
string

The name of the fee applied to card transactions.

cardFeePercentage
number

The percentage of the fee applied to card transactions.

collectionProcess
enum<string>

The process for collecting payments. Valid values include 'MANUAL_PAYMENTS' and 'AUTOMATIC_PAYMENTS'.

Available options:
AUTOMATIC_PAYMENTS,
MANUAL_PAYMENTS
contractEffectiveDate
string<date>

The date when the contract becomes effective, in ISO 8601 format.

contractSourceId
string

The unique identifier of the source of the contract.

createdAt
string<date-time>

The date and time when the contract was created, in ISO 8601 format.

currencyCode
string

The currency code associated with the contract, represented as a string.

currentAnnualRecurringRevenue
number

The current annual recurring revenue for the contract.

currentMonthlyRecurringRevenue
number

The current monthly recurring revenue for the contract.

dealId
string

The unique identifier of the deal associated with the contract.

directDebitFeeName
string

The name of the fee applied to direct debit transactions.

directDebitFeePercentage
number

The percentage of the fee applied to direct debit transactions.

discountCode
string

The discount code applied to the contract.

endDate
string<date>

The end date of the contract, in ISO 8601 format.

externalPaymentMethodReferenceId
string

The external reference ID for the payment method.

language
string

The language associated with the contract.

locale
string

The locale associated with the contract.

name
string

The name of the contract.

netPaymentTerms
integer<int32>

The net payment terms for the contract, represented as an integer.

paymentMethod
string

The payment method used for the contract.

poNumber
string

The purchase order number associated with the contract.

preTerminationContractValue
number

The value of the contract before termination.

renewalContractId
string

The unique identifier of the renewal contract.

renewalDate
string<date>

The date when the contract is set to renew, in ISO 8601 format.

sellerCompanyAddress
object
sellerCompanyName
string

The name of the seller's company.

sellerEmail
string

The email address of the seller.

sellerFirstName
string

The first name of the seller.

sellerLastName
string

The last name of the seller.

sellerPhoneNumber
string

The phone number of the seller.

startDate
string<date>

The start date of the contract, in ISO 8601 format.

terminationDate
string<date>

The date when the contract is terminated, in ISO 8601 format.

totalBilledAmount
number

The total amount billed under the contract.

totalBilledAmountPreTax
number

The total amount billed under the contract before tax.

totalCollectedFees
number

The total amount of fees collected under the contract.

totalCollectedTaxes
number

The total amount of taxes collected under the contract.

totalContractValue
number

The total value of the contract.

totalPaidAmount
number

The total amount paid under the contract.

updatedAt
string<date-time>

The date and time when the contract was last updated, in ISO 8601 format.

Last modified on September 9, 2026